| Irrlicht 3D Engine |

Classes | Namespaces | Typedefs
CMeshBuffer.h File Reference
`#include "irrArray.h"`
`#include "IMeshBuffer.h"`

Go to the source code of this file.

## Classes

- class irr::scene::CMeshBuffer< T >
    Template implementation of the IMeshBuffer interface. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::scene

    All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Typedefs

- typedef CMeshBuffer
  < video::S3DVertex > irr::scene::SMeshBuffer
    Standard meshbuffer.
- typedef CMeshBuffer
  < video::S3DVertex2TCoords > irr::scene::SMeshBufferLightMap
    Meshbuffer with two texture coords per vertex, e.g. for lightmaps.
- typedef CMeshBuffer
  < video::S3DVertexTangents > irr::scene::SMeshBufferTangents
    Meshbuffer with vertices having tangents stored, e.g. for normal mapping.